/***************************************************************************
 *   Copyright (C) 2003 by Jens Dagerbo                                    *
 *   jens.dagerbo@swipnet.se                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __KDEVPART_REPLACE_H__
#define __KDEVPART_REPLACE_H__


#include <QPointer>
#include <QMenu>
#include <interfaces/iplugin.h>
#include <interfaces/context.h>

class ReplaceWidget;
class KAction;

class ReplacePart : public KDevelop::IPlugin
{
    Q_OBJECT

public:
    ReplacePart(QObject *parent, const QVariantList &);
    ~ReplacePart();

public slots:
    void slotReplace();
    void contextMenu(QMenu *popup, const KDevelop::Context *context);
    void enableAction();
    void disableAction();
private:
    QPointer<ReplaceWidget> m_widget;
	QString m_popupstr;
        KAction* action;

};


#endif
